Skip to main content

Flipster: Tutorials

Browser/System Requirements

Browser/System Requirements for Flipster

Desktop Computers

  • Internet Explorer 8+
  • FireFox 28+
  • Safari 5.1+
  • Google Chrome 33+

Mobile Devices (Reading on a Mobile Device Browser)

  •     iOS - Versions 7 and higher
  •     Android - Latest Version

Note: If you are using a different mobile operating system, your Flipster experience may vary.

Flipster App Requirements

Mobile Device Requirements for the Flipster App

  • iOS 8+ for iPad and iPhone
  • Android Phones and Tablets running version 4.2 and Higher
  • Kindle Fire 3rd and 4th Generation Tablets

Flipster Tutorials

Loading

Flipster App Tutorials

Loading